import ajax from '../../../common/ajax';
export default {
  requestAddressList: function requestAddressList(url) {
    return ajax({
      method: 'GET',
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  },
  requestDeleteAddress: function requestDeleteAddress(url, requestData) {
    return ajax({
      method: 'DELETE',
      data: requestData,
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  },
  requestAddEditAddress: function requestAddEditAddress(url, isEdit, requestData) {
    return ajax({
      method: 'POST',
      data: requestData,
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  }
};