import { prefixCls } from '../../constants';
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('section', {
      class: [_vm.prefixCls + '__wrapper']
    }, [_c('header', {
      class: [_vm.prefixCls + '__header']
    }, [_vm._v("拍摄须知")]), _vm.tips ? _c('div', {
      class: [_vm.prefixCls + '__tips']
    }, [_vm._v(_vm._s(_vm.tips))]) : _vm._e(), _c('div', {
      class: [_vm.prefixCls + '__items']
    }, _vm._l(_vm.notices, function (notice) {
      return _c('div', {
        key: notice,
        class: [_vm.prefixCls + '__item'],
        style: {
          'background-image': "url(" + notice + ")"
        }
      });
    }), 0)]);
  },
  name: 'cap-cert-notice',
  props: {
    tips: {
      type: String,
      required: true
    },
    notices: {
      type: Array,
      required: true
    }
  },
  data: function data() {
    return {
      prefixCls: prefixCls + '-notice'
    };
  }
};