import Step from './Step';
import { prefixCls } from '../../constants';
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('section', {
      class: [_vm.prefixCls + '__wrapper']
    }, _vm._l(_vm.labels, function (label, index) {
      return _c('step', {
        key: label,
        attrs: {
          "label": label,
          "index": index,
          "current": _vm.current
        }
      });
    }), 1);
  },
  name: 'cap-cert-steps',
  components: {
    Step: Step
  },
  props: {
    labels: {
      type: Array,
      required: true
    },
    current: {
      type: Number,
      default: 0
    }
  },
  data: function data() {
    return {
      prefixCls: prefixCls + '-steps'
    };
  }
};