var ready = function ready(value, callback, fail, count) {
  if (callback === void 0) {
    callback = function callback() {};
  }

  if (fail === void 0) {
    fail = function fail() {};
  }

  if (count === void 0) {
    count = 6;
  }

  if (typeof window === 'undefined') {
    return;
  }

  if (count <= 0) {
    fail();
    return;
  }

  if (window[value]) {
    callback();
  } else {
    setTimeout(function () {
      ready(value, callback, fail, count - 1);
    }, 400);
  }
};

export default ready;