export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('a', {
      staticClass: "cap-gift-card",
      attrs: {
        "href": _vm.url
      }
    }, [_c('div', {
      staticClass: "cap-gift-card__shop-info"
    }, [_vm.shopLogo ? _c('img', {
      staticClass: "cap-gift-card__shop-info--logo",
      attrs: {
        "src": _vm.shopLogo
      }
    }) : _vm._e(), _c('h5', {
      staticClass: "cap-gift-card__shop-info--name",
      class: {
        'cap-gift-card__shop-info--no-logo': !_vm.shopLogo
      }
    }, [_vm._v("\n      " + _vm._s(_vm.shopName) + "\n    ")])]), _c('h3', {
      staticClass: "cap-gift-card__card-info--name"
    }, [_vm._v("\n    " + _vm._s(_vm.cardName) + "\n  ")]), _c('p', {
      staticClass: "cap-gift-card__card-info--price"
    }, [_c('span', {
      staticClass: "cap-gift-card__card-info--yuan"
    }, [_vm._v("¥")]), _vm._v(_vm._s(_vm.price) + "\n  ")]), _c('div', {
      staticClass: "cap-gift-card__card-info--status",
      class: {
        'cap-gift-card__card-info--status-disabled': _vm.disabled
      }
    }, [_vm._v("\n    " + _vm._s(_vm.cardStatus) + "\n  ")])]);
  },
  name: 'cap-gift-card',
  props: {
    shopLogo: {
      type: String
    },
    shopName: {
      type: String,
      required: true
    },
    cardName: {
      type: String,
      required: true
    },
    cardStatus: {
      type: String,
      required: true
    },
    disabled: {
      type: Boolean,
      default: false
    },
    url: String,
    price: Number
  }
};