import fullfillImage from '@youzan/utils/fullfillImage';
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('ul', {
      staticClass: "cap-image-nav"
    }, _vm._l(_vm.links, function (item, index) {
      return _c('li', {
        key: index,
        staticClass: "cap-image-nav__item"
      }, [_c('a', {
        staticClass: "cap-image-nav__link",
        attrs: {
          "href": item.link_url
        }
      }, [_c('span', {
        staticClass: "cap-image-nav__image"
      }, [_c('img', {
        attrs: {
          "src": _vm.computeImageUrl(item.image_thumb_url)
        }
      })]), item.title ? _c('span', {
        staticClass: "cap-image-nav__title"
      }, [_vm._v("\n        " + _vm._s(item.title) + "\n      ")]) : _vm._e()])]);
    }), 0);
  },
  name: 'cap-image-nav',
  props: {
    links: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    imageCdn: String
  },
  methods: {
    computeImageUrl: function computeImageUrl(imageUrl) {
      var options = {};
      if (this.imageCdn) options.imageCdn = this.imageCdn;
      return fullfillImage(imageUrl, '!200x200.jpg', options);
    }
  }
};