export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('a', {
      staticClass: "cap-member-coupon",
      class: {
        'cap-member-coupon-used': _vm.state === 'used',
        'cap-member-coupon-expired': _vm.state === 'expired'
      },
      attrs: {
        "href": _vm.url
      }
    }, [_c('div', {
      staticClass: "cap-member-coupon__discount"
    }, [_vm.type === 'discount' ? _c('h5', {
      staticClass: "cap-member-coupon__discount--price"
    }, [_vm._v("\n      " + _vm._s(_vm.discount.toFixed(1)) + "折\n    ")]) : _c('h5', {
      staticClass: "cap-member-coupon__discount--price"
    }, [_c('span', {
      staticClass: "cap-member-coupon__discount--yuan"
    }, [_vm._v("¥")]), _vm._v(_vm._s(_vm.price) + "\n    ")]), _c('p', {
      staticClass: "cap-member-coupon__discount--limit"
    }, [_vm._v(_vm._s(_vm.limit))])]), _c('div', {
      staticClass: "cap-member-coupon__rip"
    }), _c('div', {
      staticClass: "cap-member-coupon__info"
    }, [_c('h5', {
      staticClass: "cap-member-coupon__info--name"
    }, [_vm._v(_vm._s(_vm.name))]), _c('p', {
      staticClass: "cap-member-coupon__info--expiry"
    }, [_vm._v("有效期 " + _vm._s(_vm.expiryDate))])])]);
  },
  name: 'cap-member-coupon',
  props: {
    type: String,
    discount: Number,
    price: {
      type: Number,
      required: true
    },
    limit: String,
    name: {
      type: String,
      required: true
    },
    expiryDate: String,
    state: String,
    url: String
  }
};