import "vant/es/cell/style";
import _Cell from "vant/es/cell";
import "vant/es/icon/style";
import _Icon from "vant/es/icon";

var _components;

export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell', {
      staticClass: "cap-order-goods-header",
      attrs: {
        "border": false
      }
    }, [_c('van-icon', {
      attrs: {
        "name": _vm.icon
      }
    }), _c('a', {
      attrs: {
        "href": _vm.link
      }
    }, [_vm._v(_vm._s(_vm.title))]), _vm.badge ? _c('img', {
      attrs: {
        "src": _vm.badge
      }
    }) : _vm._e()], 1);
  },
  name: 'cap-order-goods-header',
  components: (_components = {}, _components[_Icon.name] = _Icon, _components[_Cell.name] = _Cell, _components),
  props: {
    title: String,
    icon: String,
    link: String,
    badge: String
  }
};