import "vant/es/cell/style";
import _Cell from "vant/es/cell";

var _components;

export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell', {
      staticClass: "cap-order-goods-message",
      attrs: {
        "title": "买家留言："
      }
    }, [_vm.editable ? _c('textarea', {
      class: {
        'cap-order-goods-message-focused': _vm.textareaFocused
      },
      attrs: {
        "placeholder": "点击给商家留言"
      },
      domProps: {
        "value": _vm.message
      },
      on: {
        "focus": _vm.onFocus,
        "blur": function blur($event) {
          _vm.textareaFocused = false;
        },
        "input": _vm.onChange
      }
    }) : _c('p', [_vm._v(_vm._s(_vm.message || '无'))])]);
  },
  name: 'cap-order-goods-message',
  components: (_components = {}, _components[_Cell.name] = _Cell, _components),
  props: {
    message: String,
    editable: Boolean
  },
  data: function data() {
    return {
      textareaFocused: false
    };
  },
  methods: {
    onChange: function onChange(event) {
      this.$emit('change', event.target.value);
    },
    onFocus: function onFocus() {
      this.textareaFocused = true;
      this.$emit('focus');
    }
  }
};