import "vant/es/button/style";
import _Button from "vant/es/button";
var MAP = {
  topay: '确认付款',
  transport: '查看物流',
  review: '评价',
  reviewed: '查看评价',
  peerpay: '代付',
  gift: '礼单',
  'extend-receive': '延长收货',
  'confirm-receive': '确认收货',
  cancel: '取消订单',
  'buy-again': '再来一单'
};
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "action-buttons"
    }, [_vm._t("default", _vm._l(_vm.actionBtns, function (btn) {
      return _c('van-button', {
        key: btn,
        staticClass: "action-button",
        attrs: {
          "size": "small",
          "type": "primary"
        },
        on: {
          "click": function click($event) {
            $event.preventDefault();
            $event.stopPropagation();

            _vm.onBtnClick(btn);
          }
        }
      }, [_vm._v("\n      " + _vm._s(_vm.getText(btn)) + "\n    ")]);
    }))], 2);
  },
  name: 'cap-order-list-btns',
  components: {
    'van-button': _Button
  },
  props: {
    actionBtns: {
      type: Array,
      default: function _default() {
        return [];
      },
      validator: function validator(value) {
        return Object.prototype.toString.call(value) === '[object Array]';
      }
    }
  },
  methods: {
    onBtnClick: function onBtnClick(type) {
      this.$emit('click', type);
    },
    getText: function getText(type) {
      return MAP[type];
    }
  }
};