import "vant/es/loading/style";
import _Loading from "vant/es/loading";
import "vant/es/button/style";
import _Button from "vant/es/button";
import "vant/es/icon/style";
import _Icon from "vant/es/icon";

var _components;

export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "cap-pay-confirm"
    }, [_c('div', {
      staticClass: "cap-pay-confirm__header"
    }, [_vm._v("\n    " + _vm._s(_vm.payWay.pay_channel_name) + "\n    "), !_vm.loading ? _c('van-icon', {
      staticClass: "cap-pay-confirm__close",
      attrs: {
        "name": "close"
      },
      on: {
        "click": _vm.close
      }
    }) : _vm._e()], 1), _c('div', {
      staticClass: "cap-pay-confirm__content"
    }, [_vm.loading ? [_c('van-loading', {
      staticClass: "cap-pay-confirm__loading"
    }), _c('p', {
      staticClass: "cap-pay-confirm__charge"
    }, [_vm._v("扣款中...")])] : [_c('p', {
      staticClass: "cap-pay-confirm__price"
    }, [_vm._v("￥" + _vm._s(_vm.payWay.pay_amount))]), _c('p', {
      staticClass: "cap-pay-confirm__tips"
    }, [_vm._v("该笔交易将会使用卡内余额进行支付")]), _c('van-button', {
      attrs: {
        "type": "primary",
        "block": "",
        "loading": _vm.loading
      },
      on: {
        "click": _vm.onConfirm
      }
    }, [_vm._v("\n        确认\n      ")])]], 2)]);
  },
  components: (_components = {}, _components[_Icon.name] = _Icon, _components[_Button.name] = _Button, _components[_Loading.name] = _Loading, _components),
  props: {
    loading: Boolean,
    close: Function,
    onConfirm: Function,
    payWay: Object
  }
};