export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "top-shop-nav"
    }, [_c('div', {
      staticClass: "top-shop-nav__header",
      style: {
        backgroundImage: _vm.shopInfo.bannerImg,
        backgroundColor: _vm.shopInfo.bannerBgColor
      }
    }, [_c('div', {
      staticClass: "top-shop-nav__title"
    }, [_vm._v("\n      " + _vm._s(_vm.shopInfo.shopName) + "\n    ")]), _c('div', {
      staticClass: "top-shop-nav__avatar"
    }, [_c('img', {
      attrs: {
        "src": _vm.shopInfo.shopAvatar,
        "alt": "头像"
      }
    })])]), _c('div', {
      staticClass: "top-shop-nav__content"
    }, [_c('ul', {
      staticClass: "clearfix"
    }, [_c('li', {
      staticClass: "top-shop-nav__list"
    }, [_c('a', {
      attrs: {
        "href": _vm.goodsInfo.allGoodsUrl
      }
    }, [_c('span', {
      staticClass: "top-shop-nav__goods-count"
    }, [_vm._v(_vm._s(_vm.goodsInfo.allGoodsNum))]), _c('span', {
      staticClass: "top-shop-nav__goods-desc"
    }, [_vm._v("全部商品")])])]), _c('li', {
      staticClass: "top-shop-nav__list"
    }, [_c('a', {
      attrs: {
        "href": _vm.goodsInfo.newGoodsUrl
      }
    }, [_c('span', {
      staticClass: "top-shop-nav__goods-count"
    }, [_vm._v(_vm._s(_vm.goodsInfo.newGoodsNum))]), _c('span', {
      staticClass: "top-shop-nav__goods-desc"
    }, [_vm._v("上新商品")])])]), _c('li', {
      staticClass: "top-shop-nav__list"
    }, [_c('a', {
      attrs: {
        "href": _vm.goodsInfo.myOrderUrl
      }
    }, [_c('span', {
      staticClass: "top-shop-nav__goods-count top-shop-nav__user"
    }), _c('span', {
      staticClass: "top-shop-nav__goods-desc"
    }, [_vm._v("我的订单")])])])])])]);
  },
  name: 'cap-shop-top-nav',
  props: {
    shopInfo: Object,
    goodsInfo: Object
  }
};