"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ajax = _interopRequireDefault(require("../../../common/ajax"));

var _default = {
  requestAddressList: function requestAddressList(url) {
    return (0, _ajax.default)({
      method: 'GET',
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  },
  requestDeleteAddress: function requestDeleteAddress(url, requestData) {
    return (0, _ajax.default)({
      method: 'DELETE',
      data: requestData,
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  },
  requestAddEditAddress: function requestAddEditAddress(url, isEdit, requestData) {
    return (0, _ajax.default)({
      method: 'POST',
      data: requestData,
      url: url
    }).then(function (res) {
      if (+res.code === 0) {
        return res.data;
      }

      return Promise.reject(res);
    });
  }
};
exports.default = _default;