"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _vue = _interopRequireDefault(require("vue"));

var _constants = require("../../constants");

_vue.default.use(_icon.default);

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      class: [_vm.prefixCls + '__wrapper'],
      on: {
        "click": _vm.select
      }
    }, [_c('div', {
      class: [_vm.prefixCls + '__info_wrapper']
    }, [_c('img', {
      class: [_vm.prefixCls + '__icon'],
      attrs: {
        "src": _vm.iconUrl,
        "alt": ""
      }
    }), _c('div', {
      class: [_vm.prefixCls + '__info']
    }, [_c('p', {
      class: [_vm.prefixCls + '__name']
    }, [_vm._v("\n        " + _vm._s(_vm.bankName) + "\n      ")]), _c('p', {
      class: [_vm.prefixCls + '__id']
    }, [_vm._v("\n        " + _vm._s(_vm.maskBankCardNo) + "\n      ")])])]), _c('van-icon', {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.checked,
        expression: "checked"
      }],
      class: [_vm.prefixCls + '__bg-blue'],
      attrs: {
        "name": "checked"
      }
    })], 1);
  },
  name: 'cap-cert-bank-view',
  props: {
    iconUrl: {
      type: String,
      default: ''
    },
    bankName: {
      type: String,
      default: ''
    },
    maskBankCardNo: {
      type: String,
      default: ''
    },
    checked: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      prefixCls: _constants.prefixCls + '-bank-view'
    };
  },
  methods: {
    select: function select(item) {
      this.$emit('click');
    }
  }
};
exports.default = _default;