"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ua_browser = _interopRequireDefault(require("@youzan/utils/browser/ua_browser"));

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      ref: "cubeWrap",
      staticClass: "cap-cube-wrap-old"
    }, [_c('table', {
      staticClass: "cap-cube-old"
    }, [_c('tbody', {
      domProps: {
        "innerHTML": _vm._s(_vm.formattedTableContent)
      }
    })])]);
  },
  name: 'cap-cube-old',
  props: {
    tableContent: String
  },
  computed: {
    formattedTableContent: function formattedTableContent() {
      if (!_ua_browser.default.isIOS()) return this.tableContent; // ios需要四个空td才能正确渲染

      return this.tableContent.replace('/<tr><td id="sbtd" style="display\:none;"><\/td><\/tr>/s', '<tr><td></td><td></td><td></td><td></td></tr>');
    }
  },
  mounted: function mounted() {
    var cubeWrap = this.$refs.cubeWrap;
    var cubeTableWidth = cubeWrap.getBoundingClientRect().width;
    var mod = cubeTableWidth % 4;
    var newCubeTableWidth = cubeTableWidth + (mod === 0 ? 0 : 4 - mod);
    cubeWrap.style.width = newCubeTableWidth + "px";
  }
};
exports.default = _default;