"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('a', {
      staticClass: "cap-entry",
      attrs: {
        "href": _vm.url
      }
    }, [_vm.icon ? _c('van-icon', {
      staticClass: "cap-entry__icon",
      style: {
        color: _vm.iconColor
      },
      attrs: {
        "name": _vm.icon
      }
    }) : _vm._e(), _vm.number ? _c('h3', {
      staticClass: "cap-entry__number"
    }, [_vm._v("\n    " + _vm._s(_vm.number) + "\n  ")]) : _vm._e(), _c('h5', {
      staticClass: "cap-entry__desc"
    }, [_vm._v(_vm._s(_vm.desc))])], 1);
  },
  name: 'cap-entry',
  components: {
    'van-icon': _icon.default
  },
  props: {
    icon: String,
    iconColor: {
      type: String,
      default: '#666'
    },
    desc: String,
    number: [String, Number]
  }
};
exports.default = _default;