## Line 辅助线

### 使用指南

```javascript
import { Line } from 'captain-ui';

Vue.use(Line);
```

### 代码演示

#### 基本用法

```html
<cap-line :line-type="'dashed'" :color="'red'" :has-padding="true" />
```

#### 辅助线类型

可以通过`lineType`和`color`属性来设置不同类型的辅助线。

```html
<cap-line :line-type="'dashed'" :color="'red'" :has-padding="true" />
```

### API

| 参数       | 说明      | 类型       | 默认值       | 可选值       |
|-----------|-----------|-----------|-------------|-------------|
| lineType | 辅助线类型，有solid, dash, dotted, none几个选项 | `string`  | `''`  | `solid` `dashed` `dotted` `none` |
| color | 辅助线颜色 | `string`  | `''` |  |
| hasPadding | 是否有左右边距 | `boolean`  | `false`  |  |
