"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

require("vant/es/cell-group/style");

var _cellGroup = _interopRequireDefault(require("vant/es/cell-group"));

require("vant/es/cell/style");

var _cell = _interopRequireDefault(require("vant/es/cell"));

require("vant/es/button/style");

var _button = _interopRequireDefault(require("vant/es/button"));

var _actions = _interopRequireDefault(require("../components/actions"));

var _formItem = _interopRequireDefault(require("../components/form-item"));

var _input = _interopRequireDefault(require("../components/input"));

var _password = _interopRequireDefault(require("../components/password"));

var _index = _interopRequireDefault(require("../../../captcha/index"));

var _default2 = {
  components: {
    'van-button': _button.default,
    'van-cell': _cell.default,
    'van-cell-group': _cellGroup.default,
    'van-icon': _icon.default,
    'vm-actions': _actions.default,
    'vm-form-item': _formItem.default,
    'vm-input': _input.default,
    'vm-password': _password.default,
    'vm-captcha': _index.default
  },
  props: {
    phone: [String, Number],
    country: {
      type: Object,
      default: function _default() {
        return {
          code: '+86',
          name: '中国'
        };
      }
    },
    showCountrySelect: {
      type: Boolean,
      default: true
    }
  },
  watch: {
    'loginData.phone': function loginDataPhone(val) {
      this.$emit('phoneChange', val);
    }
  },
  methods: {
    doSelectCountry: function doSelectCountry() {
      this.$emit('showCountry');
    }
  }
};
exports.default = _default2;