"use strict";

exports.__esModule = true;
exports.default = void 0;
var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('a', {
      staticClass: "cap-member-card",
      attrs: {
        "href": _vm.url
      }
    }, [_c('div', {
      staticClass: "cap-member-card__shop-info"
    }, [_vm.shopLogo ? _c('img', {
      staticClass: "cap-member-card__shop-info--logo",
      attrs: {
        "src": _vm.shopLogo
      }
    }) : _vm._e(), _c('h5', {
      staticClass: "cap-member-card__shop-info--name",
      class: {
        'cap-member-card__shop-info--no-logo': !_vm.shopLogo
      }
    }, [_vm._v("\n      " + _vm._s(_vm.shopName) + "\n    ")])]), _c('h3', {
      staticClass: "cap-member-card__card-info--name"
    }, [_vm._v("\n    " + _vm._s(_vm.cardName) + "\n  ")]), _c('div', {
      staticClass: "cap-member-card__card-info--expiry-date"
    }, [_vm._v("\n    " + _vm._s(_vm.expiryDate) + "\n  ")]), !_vm.defaultCard ? _c('div', {
      staticClass: "cap-member-card__card-info--status",
      class: {
        'cap-member-card__card-info--status-disabled': _vm.disabled
      }
    }, [_vm._v("\n    " + _vm._s(_vm.cardStatus) + "\n  ")]) : _vm._e(), _vm.defaultCard ? _c('div', {
      staticClass: "cap-member-card__card-info--default"
    }, [_vm._v("\n    默认卡\n  ")]) : _vm._e()]);
  },
  name: 'cap-member-card',
  props: {
    shopLogo: {
      type: String
    },
    shopName: {
      type: String,
      required: true
    },
    cardName: {
      type: String,
      required: true
    },
    cardStatus: {
      type: String,
      required: true
    },
    disabled: {
      type: Boolean,
      default: false
    },
    expiryDate: String,
    defaultCard: {
      type: Boolean,
      default: false
    },
    url: String
  }
};
exports.default = _default;