"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/dialog/style");

var _dialog = _interopRequireDefault(require("vant/es/dialog"));

var _components;

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-dialog', {
      attrs: {
        "value": _vm.value,
        "title": "以下商品不支持“再来一单”",
        "confirm-button-text": "知道了"
      },
      on: {
        "input": _vm.onInput
      }
    }, [_c('div', {
      staticClass: "cap-fail-good"
    }, _vm._l(_vm.goods, function (item, index) {
      return _c('div', {
        key: index,
        staticClass: "cap-fail-good__item van-hairline--bottom"
      }, [_c('p', {
        staticClass: "cap-fail-good__item__title van-ellipsis"
      }, [_vm._v("\n        " + _vm._s(item.title) + "\n      ")]), _c('span', {
        staticClass: "cap-fail-good__item__num"
      }, [_vm._v("\n        X" + _vm._s(item.num) + "\n      ")]), item.sku ? _c('p', {
        staticClass: "cap-fail-good__item__sku"
      }, [_vm._v("\n        " + _vm._s(item.sku) + "\n      ")]) : _vm._e()]);
    }), 0)]);
  },
  components: (_components = {}, _components[_dialog.default.name] = _dialog.default, _components),
  props: {
    value: Boolean,
    goods: Array
  },
  computed: {
    listeners: function listeners() {
      return this.$listeners;
    }
  },
  methods: {
    onInput: function onInput(val) {
      this.$emit('input', val);
    }
  }
};
exports.default = _default;