"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _express_service = _interopRequireDefault(require("./components/express_service"));

var _cancel = _interopRequireDefault(require("./components/cancel"));

var _buy_again = _interopRequireDefault(require("./components/buy_again"));

var OrderAction =
/*#__PURE__*/
function () {
  function OrderAction() {}

  var _proto = OrderAction.prototype;

  _proto.extend = function extend(options) {
    return new _express_service.default().extend(options);
  };

  _proto.confirm = function confirm(options) {
    return new _express_service.default().confirm(options);
  };

  _proto.remindSend = function remindSend(options) {
    return new _express_service.default().remindSend(options);
  };

  _proto.cancel = function cancel(options) {
    new _cancel.default(options).cancel();
  };

  _proto.buyAgain = function buyAgain(options) {
    new _buy_again.default(options).buyAgain();
  };

  return OrderAction;
}();

var _default = OrderAction;
exports.default = _default;