"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/button/style");

var _button = _interopRequireDefault(require("vant/es/button"));

var _fullfillImage = _interopRequireDefault(require("@youzan/utils/fullfillImage"));

var _components;

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "cap-order-goods__message-list"
    }, [_c('h2', [_vm._v("备注信息")]), _c('ul', _vm._l(_vm.messages, function (value, key) {
      return _c('li', {
        key: key
      }, [_c('label', [_vm._v(_vm._s(key))]), _vm.isURL(value) ? _c('a', {
        attrs: {
          "href": value
        }
      }, [_c('img', {
        attrs: {
          "src": _vm.processImage(value)
        }
      })]) : _c('p', [_vm._v(_vm._s(value))])]);
    }), 0), _c('div', {
      staticClass: "cap-order-goods-card__button"
    }, [_c('van-button', {
      attrs: {
        "size": "large"
      },
      on: {
        "click": function click($event) {
          _vm.$emit('back');
        }
      }
    }, [_vm._v("\n      查看订单详情\n    ")])], 1)]);
  },
  name: 'cap-order-goods-message-list',
  components: (_components = {}, _components[_button.default.name] = _button.default, _components),
  props: {
    messages: [Object, Array]
  },
  methods: {
    isURL: function isURL(value) {
      return /^\s*http(s)*:\/\/.+/.test(value);
    },
    processImage: function processImage(url) {
      return (0, _fullfillImage.default)(url, '!180x180.jpg');
    }
  }
};
exports.default = _default;