"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/cell-group/style");

var _cellGroup = _interopRequireDefault(require("vant/es/cell-group"));

require("vant/es/cell/style");

var _cell = _interopRequireDefault(require("vant/es/cell"));

var _utils = require("../utils");

var _components;

var _default2 = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell-group', {
      staticClass: "cap-order-goods-price__detail"
    }, [_c('van-cell', {
      staticClass: "cap-order-goods-price__detail__total",
      attrs: {
        "title": "总计",
        "value": _vm.onlyTotalPrice
      }
    }), _c('van-cell', {
      staticClass: "cap-order-goods-price__detail__item-group"
    }, _vm._l(_vm.itemList, function (item, key) {
      return _c('p', {
        key: key
      }, [_c('span', {
        staticClass: "cap-order-goods-price__detail__item"
      }, [_vm._v("\n        " + _vm._s(item.goods_date) + "\n      ")]), _c('span', {
        staticClass: "cap-order-goods-price__detail__item cap-order-goods-price__detail__item--right"
      }, [_vm._v("\n        " + _vm._s(_vm.getPayPrice(item.pay_price)) + " "), _c('i', [_vm._v(_vm._s(_vm.getNum(item.num)))])])]);
    }), 0)], 1);
  },
  name: 'cap-order-goods-price-detail',
  components: (_components = {}, _components[_cell.default.name] = _cell.default, _components[_cellGroup.default.name] = _cellGroup.default, _components),
  props: {
    price: Number,
    itemList: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  computed: {
    onlyTotalPrice: function onlyTotalPrice() {
      return (0, _utils.getTotalPrice)(this.price);
    }
  },
  methods: {
    getPayPrice: function getPayPrice(payPrice) {
      return '¥' + (payPrice / 100).toFixed(2);
    },
    getNum: function getNum(num) {
      return 'x' + num;
    }
  }
};
exports.default = _default2;