"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _columnItem = _interopRequireDefault(require("./column-item"));

var BASE_URL = 'https://h5.youzan.com/v2';
var _default2 = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "paid-column__wrap"
    }, [_vm.showTitle ? _c('div', {
      staticClass: "paid-column__header"
    }, [_vm.showTitleAll ? _c('a', {
      staticClass: "paid-column__view-all",
      attrs: {
        "href": _vm.showTitleAllLink
      }
    }, [_vm._v("\n      全部"), _c('van-icon', {
      attrs: {
        "name": "arrow"
      }
    })], 1) : _vm._e(), _c('h3', {
      staticClass: "paid-column__title"
    }, [_vm._v(_vm._s(_vm.title))])]) : _vm._e(), _vm.columnList.length ? _c('div', {
      staticClass: "paid-column__column-list"
    }, _vm._l(_vm.columnList, function (column) {
      return _c('column-item', {
        key: column.title + column.cover,
        attrs: {
          "kdt-id": _vm.kdtId,
          "base-url": _vm.baseUrl,
          "title": column.title,
          "summary": column.summary,
          "alias": column.alias,
          "cover": column.cover,
          "contents-count": column.contents_count,
          "subscriptions-count": column.subscriptions_count,
          "price": column.price,
          "is-free": column.is_free == 1,
          "has-buy": column.isBought == 1,
          "discount": column.isVipDiscount,
          "is-vip": column.isVip == 1,
          "is-groupon": column.isGroupOn == 1,
          "groupon-num": column.groupOnNum
        }
      });
    }), 1) : _c('div', {
      staticClass: "paid-column__no-data-page"
    }, [_c('p', [_vm._v("还没有相关内容哦")])])]);
  },
  name: 'cap-paid-column',
  components: {
    ColumnItem: _columnItem.default,
    'van-icon': _icon.default
  },
  props: {
    baseUrl: {
      type: String,
      default: BASE_URL
    },
    kdtId: {
      type: [String, Number],
      default: ''
    },
    showTitle: Boolean,
    showTitleAll: Boolean,
    title: {
      type: String,
      default: ''
    },
    columnList: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  computed: {
    showTitleAllLink: function showTitleAllLink() {
      if (!this.kdtId) return 'javascript:;';
      return this.baseUrl + "/ump/paidcontent?kdt_id=" + this.kdtId + "#/allcolumns";
    }
  }
};
exports.default = _default2;