"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

require("vant/es/button/style");

var _button = _interopRequireDefault(require("vant/es/button"));

require("vant/es/popup/style");

var _popup = _interopRequireDefault(require("vant/es/popup"));

var _format = _interopRequireDefault(require("@youzan/utils/money/format"));

var _components;

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-popup', {
      staticClass: "balance-confirm-popup",
      attrs: {
        "get-container": function getContainer() {
          return _vm.container;
        },
        "close-on-click-overlay": false
      },
      model: {
        value: _vm.showPopup,
        callback: function callback($$v) {
          _vm.showPopup = $$v;
        },
        expression: "showPopup"
      }
    }, [_c('div', {
      staticClass: "balance-confirm-container"
    }, [_c('div', {
      staticClass: "balance-header"
    }, [_c('p', [_vm._v("支付")]), _c('van-icon', {
      staticClass: "close-icon",
      attrs: {
        "name": "close"
      },
      on: {
        "click": _vm.close
      }
    })], 1), _c('div', {
      staticClass: "balance-content"
    }, [_c('p', {
      staticClass: "price"
    }, [_vm._v("¥ "), _c('span', {
      staticClass: "num"
    }, [_vm._v(_vm._s(_vm._f("formatMoney")(_vm.price)))])]), _c('p', {
      staticClass: "balance"
    }, [_c('span', [_vm._v("店铺余额支付")]), _c('span', [_vm._v("当前余额 ¥ " + _vm._s(_vm._f("formatMoney")(_vm.balance)))])])]), _c('div', {
      staticClass: "balance-footer"
    }, [_c('van-button', {
      staticClass: "confirm-btn",
      attrs: {
        "type": "danger"
      },
      on: {
        "click": _vm.confirm
      }
    }, [_vm._v("\n        确认支付\n      ")])], 1)])]);
  },
  name: 'balance-confirm',
  components: (_components = {}, _components[_popup.default.name] = _popup.default, _components[_button.default.name] = _button.default, _components[_icon.default.name] = _icon.default, _components),
  filters: {
    formatMoney: function formatMoney(v) {
      return (0, _format.default)(v);
    }
  },
  props: {
    show: Boolean,
    price: Number,
    balance: Number
  },
  data: function data() {
    return {
      showPopup: false,
      container: document.body
    };
  },
  watch: {
    show: function show(newV) {
      this.showPopup = newV;
    }
  },
  methods: {
    close: function close() {
      this.$emit('close');
    },
    confirm: function confirm() {
      this.$emit('close');
      this.$emit('confirm');
    }
  }
};
exports.default = _default;