"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/loading/style");

var _loading = _interopRequireDefault(require("vant/es/loading"));

require("vant/es/button/style");

var _button = _interopRequireDefault(require("vant/es/button"));

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _components;

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "cap-pay-confirm"
    }, [_c('div', {
      staticClass: "cap-pay-confirm__header"
    }, [_vm._v("\n    " + _vm._s(_vm.payWay.pay_channel_name) + "\n    "), !_vm.loading ? _c('van-icon', {
      staticClass: "cap-pay-confirm__close",
      attrs: {
        "name": "close"
      },
      on: {
        "click": _vm.close
      }
    }) : _vm._e()], 1), _c('div', {
      staticClass: "cap-pay-confirm__content"
    }, [_vm.loading ? [_c('van-loading', {
      staticClass: "cap-pay-confirm__loading"
    }), _c('p', {
      staticClass: "cap-pay-confirm__charge"
    }, [_vm._v("扣款中...")])] : [_c('p', {
      staticClass: "cap-pay-confirm__price"
    }, [_vm._v("￥" + _vm._s(_vm.payWay.pay_amount))]), _c('p', {
      staticClass: "cap-pay-confirm__tips"
    }, [_vm._v("该笔交易将会使用卡内余额进行支付")]), _c('van-button', {
      attrs: {
        "type": "primary",
        "block": "",
        "loading": _vm.loading
      },
      on: {
        "click": _vm.onConfirm
      }
    }, [_vm._v("\n        确认\n      ")])]], 2)]);
  },
  components: (_components = {}, _components[_icon.default.name] = _icon.default, _components[_button.default.name] = _button.default, _components[_loading.default.name] = _loading.default, _components),
  props: {
    loading: Boolean,
    close: Function,
    onConfirm: Function,
    payWay: Object
  }
};
exports.default = _default;