"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _wechatNav = _interopRequireDefault(require("./components/wechat-nav"));

var _app1Nav = _interopRequireDefault(require("./components/app1-nav"));

var _app2Nav = _interopRequireDefault(require("./components/app2-nav"));

var _app3Nav = _interopRequireDefault(require("./components/app3-nav"));

var _constants = require("./constants");

var _default2 = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "cap-shop-nav",
      class: ["cap-shop-nav--" + _vm.navStyle]
    }, [+_vm.navStyle === 1 ? [_c('wechat-nav', {
      attrs: {
        "home-url": _vm.homeUrl,
        "navs": _vm.navs
      }
    })] : +_vm.navStyle === 2 ? [_c('app1-nav', {
      attrs: {
        "background-color": _vm.backgroundColor,
        "navs": _vm.navs,
        "use-icon": _vm.useIcon
      }
    })] : +_vm.navStyle === 3 ? [_c('app2-nav', {
      attrs: {
        "background-color": _vm.backgroundColor,
        "navs": _vm.navs,
        "main-navs": _vm.mainNavs
      }
    })] : [_c('app3-nav', {
      attrs: {
        "navs": _vm.navs,
        "main-navs": _vm.mainNavs,
        "nav-style": _vm.navStyle
      }
    })]], 2);
  },
  name: 'cap-shop-nav',
  components: {
    'wechat-nav': _wechatNav.default,
    'app1-nav': _app1Nav.default,
    'app2-nav': _app2Nav.default,
    'app3-nav': _app3Nav.default
  },
  props: {
    navStyle: {
      type: [String, Number],
      default: _constants.NAV_STYLE_MAP.wechat
    },
    navs: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    mainNavs: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: String,
    color: String,
    activeColor: String,
    homeUrl: String,
    useIcon: Boolean
  }
};
exports.default = _default2;