"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/tag/style");

var _tag = _interopRequireDefault(require("vant/es/tag"));

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "cap-store",
      on: {
        "click": _vm.onClick
      }
    }, [_c('div', {
      staticClass: "cap-store__main"
    }, [_c('van-icon', {
      staticClass: "cap-store__icon",
      attrs: {
        "name": _vm.icon
      }
    }), _c('span', {
      staticClass: "cap-store__title",
      domProps: {
        "textContent": _vm._s(_vm.name)
      }
    }), _vm.tag ? _c('van-tag', {
      staticClass: "cap-store__tag",
      attrs: {
        "type": "danger"
      }
    }, [_vm._v("\n      " + _vm._s(_vm.tag) + "\n    ")]) : _vm._e(), _c('span', {
      staticClass: "cap-store__action-text"
    }, [_vm._v("\n      " + _vm._s(_vm.actionText)), _c('van-icon', {
      staticClass: "cap-store__arrow",
      attrs: {
        "name": "arrow"
      }
    })], 1)], 1), _vm.label ? _c('div', {
      staticClass: "cap-store__sub",
      domProps: {
        "textContent": _vm._s(_vm.label)
      }
    }) : _vm._e()]);
  },
  name: 'cap-store',
  components: {
    'van-icon': _icon.default,
    'van-tag': _tag.default
  },
  props: {
    name: {
      type: String,
      default: ' '
    },
    // 副标题，用于一些描述语
    label: {
      type: String
    },
    tag: {
      type: String
    },
    icon: {
      type: String,
      default: 'shop'
    },
    url: {
      type: String
    },
    actionText: {
      type: String,
      default: '进入店铺'
    }
  },
  methods: {
    onClick: function onClick() {
      if (this.url) {
        location.href = this.url;
      }
    }
  }
};
exports.default = _default;