"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/tabs/style");

var _tabs = _interopRequireDefault(require("vant/es/tabs"));

require("vant/es/tab/style");

var _tab = _interopRequireDefault(require("vant/es/tab"));

var _goodsList = _interopRequireDefault(require("../goods-list"));

var _create = _interopRequireDefault(require("../utils/create"));

var _components;

var _default = (0, _create.default)({
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _vm.tabs.length > 1 ? _c('van-tabs', {
      staticClass: "cap-tags",
      class: "cap-tags-style-" + _vm.navStyle
    }, _vm._l(_vm.tabs, function (tab, index) {
      return _c('van-tab', {
        key: index,
        attrs: {
          "title": tab.title
        }
      }, [_c('cap-goods-list', _vm._b({}, 'cap-goods-list', _vm.$props, false))], 1);
    }), 1) : _c('cap-goods-list', _vm._b({}, 'cap-goods-list', _vm.$props, false));
  },
  name: 'taglist-top',
  props: ['tabs', 'list', 'layout', 'navStyle', 'sizeType', 'showTitle', 'showSubTitle', 'showPrice', 'buttonText', 'showBuyButton', 'buyButtonType', 'buyBtnExpress', 'showCornerMark', 'cornerMarkType', 'cornerMarkImage', 'imageRatio', 'nowrap'],
  components: (_components = {}, _components[_tab.default.name] = _tab.default, _components[_tabs.default.name] = _tabs.default, _components[_goodsList.default.name] = _goodsList.default, _components)
});

exports.default = _default;