"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _goods = _interopRequireDefault(require("./components/goods"));

var _constant = require("./constant");

var _components;

var _default2 = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      class: ['cap-ump-limitdiscount', "cap-ump-limitdiscount--" + _vm.sizeType, "cap-ump-limitdiscount--btn-" + _vm.buyBtnType, {
        'cap-ump-limitdiscount--preview': _vm.isPreview
      }]
    }, _vm._l(_vm.goodsList, function (goods) {
      return _c('cap-ump-limitdiscount-goods', {
        key: goods.id,
        attrs: {
          "ratio": _vm.ratio,
          "goods": goods,
          "size": _vm.size,
          "show-countdown": _vm.showCountdown,
          "show-buy-btn": _vm.showBuyBtn,
          "show-title": _vm.showTitle,
          "show-time-limit": _vm.showTimeLimit,
          "show-stock-num": _vm.showStockNum,
          "image-fill-style": _vm.imageFillStyle,
          "is-preview": _vm.isPreview,
          "activity-status": _vm.activityStatus
        }
      });
    }), 1);
  },
  name: 'cap-ump-limitdiscount',
  components: (_components = {}, _components[_goods.default.name] = _goods.default, _components),
  props: {
    activityStatus: Number,
    size: Number,
    ratio: {
      type: String,
      default: '1,1'
    },
    showCountdown: {
      type: Number,
      default: 1
    },
    showBuyBtn: {
      type: Number,
      default: 1
    },
    showTitle: {
      type: Number,
      default: 1
    },
    showTimeLimit: {
      type: Number,
      default: 1
    },
    showStockNum: {
      type: Number,
      default: 1
    },
    buyBtnType: {
      type: Number,
      default: 0
    },
    goodsList: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    imageFillStyle: {
      type: Number,
      default: 0
    },
    isPreview: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    sizeType: function sizeType() {
      return _constant.SIZE_MAP[this.size];
    }
  }
};
exports.default = _default2;