import "vant/es/icon/style";
import _Icon from "vant/es/icon";
import SlideCaptcha from './SlideCaptcha';
var INIT_LEFT = 14;
var BG_W_H_SCALE = 280 / 158;
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "slide-captcha"
    }, [_vm.showType === 'pop' ? _c('div', {
      staticClass: "slide-captcha pop",
      class: _vm.className
    }, [_c('div', {
      staticClass: "slide-box"
    }, [_c('div', {
      staticClass: "top-ctrl"
    }, [_c('van-icon', {
      staticClass: "close",
      attrs: {
        "name": "cross"
      },
      on: {
        "click": _vm.handleCancel
      }
    }), _c('div', {
      staticClass: "title"
    }, [_vm._v("请完成安全验证")])], 1), _c('slide-captcha', {
      attrs: {
        "destroy": _vm.destroy,
        "init-left": _vm.initLeft,
        "bg-wh-scale": _vm.bgWhScale,
        "fingerprint": _vm.fingerprint,
        "get-captcha-url": _vm.getCaptchaUrl,
        "check-captcha-url": _vm.checkCaptchaUrl
      },
      on: {
        "success": _vm.handleSuccess,
        "fail": _vm.handleFail
      }
    })], 1)]) : _c('div', {
      staticClass: "slide-captcha",
      class: _vm.className
    }, [_c('slide-captcha', {
      attrs: {
        "init-left": _vm.initLeft,
        "bg-wh-scale": _vm.bgWhScale,
        "fingerprint": _vm.fingerprint,
        "get-captcha-url": _vm.getCaptchaUrl,
        "check-captcha-url": _vm.checkCaptchaUrl
      },
      on: {
        "success": _vm.handleSuccess,
        "fail": _vm.handleFail
      }
    })], 1)]);
  },
  components: {
    'van-icon': _Icon,
    'slide-captcha': SlideCaptcha
  },
  props: {
    className: {
      type: String,
      default: ''
    },
    showType: {
      type: String,
      default: 'embed'
    },
    destroy: Function,
    fingerprint: {
      type: String,
      default: ''
    },
    getCaptchaUrl: {
      type: String,
      default: ''
    },
    checkCaptchaUrl: {
      type: String,
      default: ''
    }
  },
  data: function data() {
    return {
      initLeft: INIT_LEFT,
      bgWhScale: BG_W_H_SCALE
    };
  },
  mounted: function mounted() {},
  methods: {
    handleCancel: function handleCancel() {
      this.$emit('cancel');
    },
    handleSuccess: function handleSuccess(ticket) {
      this.$emit('success', ticket);
    },
    handleFail: function handleFail() {
      this.$emit('fail');
    }
  }
};