var _components;

import Base from './components/base';
import Group from './components/group';
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('cap-category-base', {
      attrs: {
        "nav-list": _vm.navList
      }
    }, [_c('ul', _vm._l(_vm.categoryList, function (nav, navIndex) {
      return _c('li', {
        key: navIndex,
        ref: "group",
        refInFor: true,
        staticClass: "cap-category-container__group"
      }, [navIndex !== 0 ? _c('h1', {
        staticClass: "cap-category-container__group-title"
      }, [_vm._v("\n        " + _vm._s(nav.title) + "\n      ")]) : _vm._e(), _c('cap-category-group', {
        attrs: {
          "category-list": nav.subCategoryList
        }
      })], 1);
    }), 0)]);
  },
  name: 'cap-category',
  components: (_components = {}, _components[Base.name] = Base, _components[Group.name] = Group, _components),
  props: {
    categoryList: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  computed: {
    navList: function navList() {
      var categoryList = this.categoryList;
      return categoryList.map(function (item) {
        return {
          title: item.title
        };
      });
    }
  }
};