import "vant/es/icon/style";
import _Icon from "vant/es/icon";
import Clickoutside from './clickoutside';
export default {
  components: {
    'van-icon': _Icon
  },
  directives: {
    Clickoutside: Clickoutside
  },
  data: function data() {
    return {
      isFocus: false,
      currentValue: this.value
    };
  },
  watch: {
    value: function value(val) {
      this.currentValue = val;
    },
    currentValue: function currentValue(val) {
      this.$emit('input', val);
    }
  },
  methods: {
    handleInput: function handleInput(event) {
      this.currentValue = event.target.value;
    },
    doCloseFocus: function doCloseFocus() {
      this.isFocus = false;
    }
  }
};