import "vant/es/radio/style";
import _Radio from "vant/es/radio";
import "vant/es/cell/style";
import _Cell from "vant/es/cell";

var _components;

export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell', {
      staticClass: "cap-express-way-option",
      class: {
        'cap-express-way-option--disabled': !_vm.data.available
      },
      attrs: {
        "clickable": _vm.data.available
      },
      on: {
        "click": _vm.onClick
      }
    }, [_c('van-radio', {
      attrs: {
        "value": _vm.currentExpressWay,
        "name": _vm.data.express_type,
        "disabled": !_vm.data.available
      }
    }), _c('div', {
      staticClass: "cap-express-way-option__content"
    }, [_c('h3', {
      staticClass: "cap-express-way-option__title"
    }, [_c('span', [_vm._v(_vm._s(_vm.data.postage_title))]), _vm.data.available ? _c('span', [_vm._v(_vm._s(_vm.data.postage))]) : _vm._e()]), _c('p', [_vm._v(_vm._s(_vm.data.postage_desc))]), _vm.data.postage_warn_desc ? _c('p', {
      staticClass: "cap-express-way-option__warn"
    }, [_vm._v("\n      " + _vm._s(_vm.data.postage_warn_desc) + "\n    ")]) : _vm._e()])], 1);
  },
  name: 'cap-express-way-option',
  components: (_components = {}, _components[_Cell.name] = _Cell, _components[_Radio.name] = _Radio, _components),
  props: {
    currentExpressWay: {
      type: [Number, String],
      required: true
    },
    data: {
      type: Object,
      required: true
    }
  },
  methods: {
    onClick: function onClick() {
      if (this.data.available) {
        this.$emit('change');
      }
    }
  }
};