import "vant/es/icon/style";
import _Icon from "vant/es/icon";

var _components;

import { cornerMarkMap } from '../constants';
export default {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', [_c('i', {
      class: _vm.cornerBackClass
    }), +_vm.type !== 4 ? _c('van-icon', {
      class: _vm.typeClass,
      attrs: {
        "name": _vm.iconName
      }
    }) : _vm.imageUrl ? _c('img', {
      class: _vm.typeClass,
      attrs: {
        "src": _vm.imageUrl
      }
    }) : _c('div', {
      class: _vm.typeClass
    }, [_c('span', [_vm._v("角标")]), _c('br'), _c('span', [_vm._v("区域")])])], 1);
  },
  components: (_components = {}, _components[_Icon.name] = _Icon, _components),
  props: {
    type: {
      type: Number,
      default: 1
    },
    imageUrl: {
      type: String,
      default: ''
    }
  },
  computed: {
    cornerBackClass: function cornerBackClass() {
      return ['cap-goods-list__corner-back', "cap-goods-list__corner-back--" + this.type];
    },
    typeClass: function typeClass() {
      var classList = ['cap-goods-list__corner-mark'];

      if (+this.type !== 4) {
        classList.push("cap-goods-list__corner-mark--" + this.type);
      } else if (this.imageUrl) {
        classList.push('cap-goods-list__corner-mark--custom');
      } else {
        classList.push('cap-goods-list__corner-mark--default');
      }

      return classList;
    },
    iconName: function iconName() {
      return cornerMarkMap[this.type];
    }
  }
};