import ExpressService from './components/express_service';
import CancelOrder from './components/cancel';
import BuyAgain from './components/buy_again';

var OrderAction =
/*#__PURE__*/
function () {
  function OrderAction() {}

  var _proto = OrderAction.prototype;

  _proto.extend = function extend(options) {
    return new ExpressService().extend(options);
  };

  _proto.confirm = function confirm(options) {
    return new ExpressService().confirm(options);
  };

  _proto.remindSend = function remindSend(options) {
    return new ExpressService().remindSend(options);
  };

  _proto.cancel = function cancel(options) {
    new CancelOrder(options).cancel();
  };

  _proto.buyAgain = function buyAgain(options) {
    new BuyAgain(options).buyAgain();
  };

  return OrderAction;
}();

export default OrderAction;