import "vant/es/tabs/style";
import _Tabs from "vant/es/tabs";
import "vant/es/tab/style";
import _Tab from "vant/es/tab";

var _components;

import GoodsList from '../goods-list';
import create from '../utils/create';
export default create({
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _vm.tabs.length > 1 ? _c('van-tabs', {
      staticClass: "cap-tags",
      class: "cap-tags-style-" + _vm.navStyle
    }, _vm._l(_vm.tabs, function (tab, index) {
      return _c('van-tab', {
        key: index,
        attrs: {
          "title": tab.title
        }
      }, [_c('cap-goods-list', _vm._b({}, 'cap-goods-list', _vm.$props, false))], 1);
    }), 1) : _c('cap-goods-list', _vm._b({}, 'cap-goods-list', _vm.$props, false));
  },
  name: 'taglist-top',
  props: ['tabs', 'list', 'layout', 'navStyle', 'sizeType', 'showTitle', 'showSubTitle', 'showPrice', 'buttonText', 'showBuyButton', 'buyButtonType', 'buyBtnExpress', 'showCornerMark', 'cornerMarkType', 'cornerMarkImage', 'imageRatio', 'nowrap'],
  components: (_components = {}, _components[_Tab.name] = _Tab, _components[_Tabs.name] = _Tabs, _components[GoodsList.name] = GoodsList, _components)
});