"use strict";

exports.__esModule = true;
exports.default = void 0;

var _constants = require("../../constants");

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      class: (_obj = {}, _obj[_vm.prefixCls + '__block'] = true, _obj[_vm.prefixCls + '__block--active'] = _vm.active, _obj[_vm.prefixCls + '__block--current'] = _vm.index === _vm.current, _obj)
    }, [_c('span', {
      class: [_vm.prefixCls + '__icon']
    }, [_vm._v(_vm._s(_vm.active ? '' : _vm.index + 1))]), _c('p', {
      class: [_vm.prefixCls + '__label']
    }, [_vm._v(_vm._s(_vm.label))])]);

    var _obj;
  },
  name: 'cap-cert-step',
  props: {
    label: {
      type: String,
      required: true
    },
    index: {
      type: Number,
      required: true
    },
    current: {
      type: Number,
      default: 0
    }
  },
  data: function data() {
    return {
      prefixCls: _constants.prefixCls + '-step'
    };
  },
  computed: {
    active: function active() {
      var current = this.current,
          index = this.index;
      return current > index;
    }
  }
};
exports.default = _default;