"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _clickoutside = _interopRequireDefault(require("./clickoutside"));

var _default = {
  components: {
    'van-icon': _icon.default
  },
  directives: {
    Clickoutside: _clickoutside.default
  },
  data: function data() {
    return {
      isFocus: false,
      currentValue: this.value
    };
  },
  watch: {
    value: function value(val) {
      this.currentValue = val;
    },
    currentValue: function currentValue(val) {
      this.$emit('input', val);
    }
  },
  methods: {
    handleInput: function handleInput(event) {
      this.currentValue = event.target.value;
    },
    doCloseFocus: function doCloseFocus() {
      this.isFocus = false;
    }
  }
};
exports.default = _default;