"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.version = exports.install = exports.default = void 0;

var _index = _interopRequireDefault(require("./pay/index.js"));

exports.Pay = _index.default;

var _index2 = _interopRequireDefault(require("./pay-manager/index.js"));

exports.PayManager = _index2.default;

var _index3 = _interopRequireDefault(require("./pay-set/index.js"));

exports.PaySet = _index3.default;

var _index4 = _interopRequireDefault(require("./area/index.js"));

exports.Area = _index4.default;

var _index5 = _interopRequireDefault(require("./area-picker/index.js"));

exports.AreaPicker = _index5.default;

var _index6 = _interopRequireDefault(require("./ajax/index.js"));

exports.Ajax = _index6.default;

var _index7 = _interopRequireDefault(require("./address/index.js"));

exports.Address = _index7.default;

var _index8 = _interopRequireDefault(require("./order-list/index.js"));

exports.OrderList = _index8.default;

var _index9 = _interopRequireDefault(require("./order-action/index.js"));

exports.OrderAction = _index9.default;

var _index10 = _interopRequireDefault(require("./store/index.js"));

exports.Store = _index10.default;

var _index11 = _interopRequireDefault(require("./image-ad/index.js"));

exports.ImageAd = _index11.default;

var _index12 = _interopRequireDefault(require("./img-uploader/index.js"));

exports.ImgUploader = _index12.default;

var _index13 = _interopRequireDefault(require("./idcard-uploader/index.js"));

exports.IdcardUploader = _index13.default;

var _index14 = _interopRequireDefault(require("./goods-list/index.js"));

exports.GoodsList = _index14.default;

var _index15 = _interopRequireDefault(require("./tag-list/index.js"));

exports.TagList = _index15.default;

var _index16 = _interopRequireDefault(require("./tag-list-top/index.js"));

exports.TagListTop = _index16.default;

var _index17 = _interopRequireDefault(require("./shop-nav/index.js"));

exports.ShopNav = _index17.default;

var _index18 = _interopRequireDefault(require("./showcase/index.js"));

exports.Showcase = _index18.default;

var _index19 = _interopRequireDefault(require("./login/index.js"));

exports.Login = _index19.default;

var _index20 = _interopRequireDefault(require("./login-dialog/index.js"));

exports.LoginDialog = _index20.default;

var _index21 = _interopRequireDefault(require("./user-grade/index.js"));

exports.UserGrade = _index21.default;

var _index22 = _interopRequireDefault(require("./member-card/index.js"));

exports.MemberCard = _index22.default;

var _index23 = _interopRequireDefault(require("./gift-card/index.js"));

exports.GiftCard = _index23.default;

var _index24 = _interopRequireDefault(require("./recharge-button/index.js"));

exports.RechargeButton = _index24.default;

var _index25 = _interopRequireDefault(require("./entry/index.js"));

exports.Entry = _index25.default;

var _index26 = _interopRequireDefault(require("./rich-text/index.js"));

exports.RichText = _index26.default;

var _index27 = _interopRequireDefault(require("./title/index.js"));

exports.Title = _index27.default;

var _index28 = _interopRequireDefault(require("./text-nav/index.js"));

exports.TextNav = _index28.default;

var _index29 = _interopRequireDefault(require("./image-nav/index.js"));

exports.ImageNav = _index29.default;

var _index30 = _interopRequireDefault(require("./line/index.js"));

exports.Line = _index30.default;

var _index31 = _interopRequireDefault(require("./white/index.js"));

exports.White = _index31.default;

var _index32 = _interopRequireDefault(require("./component/index.js"));

exports.Component = _index32.default;

var _index33 = _interopRequireDefault(require("./coupon/index.js"));

exports.Coupon = _index33.default;

var _index34 = _interopRequireDefault(require("./invalid-goods/index.js"));

exports.InvalidGoods = _index34.default;

var _index35 = _interopRequireDefault(require("./express-way/index.js"));

exports.ExpressWay = _index35.default;

var _index36 = _interopRequireDefault(require("./logistics/index.js"));

exports.Logistics = _index36.default;

var _index37 = _interopRequireDefault(require("./captcha/index.js"));

exports.Captcha = _index37.default;

var _index38 = _interopRequireDefault(require("./image-captcha/index.js"));

exports.ImageCaptcha = _index38.default;

var _index39 = _interopRequireDefault(require("./behavior-captcha/index.js"));

exports.BehaviorCaptcha = _index39.default;

var _index40 = _interopRequireDefault(require("./order-goods/index.js"));

exports.OrderGoods = _index40.default;

var _index41 = _interopRequireDefault(require("./showcase-audio/index.js"));

exports.ShowcaseAudio = _index41.default;

var _index42 = _interopRequireDefault(require("./cube/index.js"));

exports.Cube = _index42.default;

var _index43 = _interopRequireDefault(require("./cube-old/index.js"));

exports.CubeOld = _index43.default;

var _index44 = _interopRequireDefault(require("./ump-activity/index.js"));

exports.UmpActivity = _index44.default;

var _index45 = _interopRequireDefault(require("./ump-seckill/index.js"));

exports.UmpSeckill = _index45.default;

var _index46 = _interopRequireDefault(require("./ump-groupon/index.js"));

exports.UmpGroupon = _index46.default;

var _index47 = _interopRequireDefault(require("./ump-timelimited-discount/index.js"));

exports.UmpTimelimitedDiscount = _index47.default;

var _index48 = _interopRequireDefault(require("./paid-member/index.js"));

exports.PaidMember = _index48.default;

var _index49 = _interopRequireDefault(require("./paid-content/index.js"));

exports.PaidContent = _index49.default;

var _index50 = _interopRequireDefault(require("./paid-column/index.js"));

exports.PaidColumn = _index50.default;

var _index51 = _interopRequireDefault(require("./order-coupon/index.js"));

exports.OrderCoupon = _index51.default;

var _index52 = _interopRequireDefault(require("./member-coupon/index.js"));

exports.MemberCoupon = _index52.default;

var _index53 = _interopRequireDefault(require("./shop-banner/index.js"));

exports.ShopBanner = _index53.default;

var _index54 = _interopRequireDefault(require("./shop-top-nav/index.js"));

exports.ShopTopNav = _index54.default;

var _index55 = _interopRequireDefault(require("./takeout/index.js"));

exports.Takeout = _index55.default;

var _index56 = _interopRequireDefault(require("./wgw-nav/index.js"));

exports.WgwNav = _index56.default;

var _index57 = _interopRequireDefault(require("./get-coupon/index.js"));

exports.GetCoupon = _index57.default;

var _index58 = _interopRequireDefault(require("./shop-top-link/index.js"));

exports.ShopTopLink = _index58.default;

var _index59 = _interopRequireDefault(require("./tpl-guide-page/index.js"));

exports.TplGuidePage = _index59.default;

var _index60 = _interopRequireDefault(require("./scroll-nav/index.js"));

exports.ScrollNav = _index60.default;

var _index61 = _interopRequireDefault(require("./scroll/index.js"));

exports.Scroll = _index61.default;

var _index62 = _interopRequireDefault(require("./ump-periodbuy/index.js"));

exports.UmpPeriodbuy = _index62.default;

var _index63 = _interopRequireDefault(require("./goods-layout/index.js"));

exports.GoodsLayout = _index63.default;

var _index64 = _interopRequireDefault(require("./wx/index.js"));

exports.Wx = _index64.default;

var _index65 = _interopRequireDefault(require("./countdown/index.js"));

exports.Countdown = _index65.default;

var _index66 = _interopRequireDefault(require("./audio-controller/index.js"));

exports.AudioController = _index66.default;

var _index67 = _interopRequireDefault(require("./offline-shop-info/index.js"));

exports.OfflineShopInfo = _index67.default;

var _index68 = _interopRequireDefault(require("./contact-us/index.js"));

exports.ContactUs = _index68.default;

var _index69 = _interopRequireDefault(require("./unicashier/index.js"));

exports.Unicashier = _index69.default;

var _index70 = _interopRequireDefault(require("./related-link/index.js"));

exports.RelatedLink = _index70.default;

var _index71 = _interopRequireDefault(require("./shop-banner-wxd/index.js"));

exports.ShopBannerWxd = _index71.default;

var _index72 = _interopRequireDefault(require("./text/index.js"));

exports.Text = _index72.default;

var _index73 = _interopRequireDefault(require("./slider/index.js"));

exports.Slider = _index73.default;

var _index74 = _interopRequireDefault(require("./promo-code/index.js"));

exports.PromoCode = _index74.default;

var _index75 = _interopRequireDefault(require("./placeholder/index.js"));

exports.Placeholder = _index75.default;

var _index76 = _interopRequireDefault(require("./filter-bar/index.js"));

exports.FilterBar = _index76.default;

var _index77 = _interopRequireDefault(require("./filter-item/index.js"));

exports.FilterItem = _index77.default;

var _index78 = _interopRequireDefault(require("./tabs/index.js"));

exports.Tabs = _index78.default;

var _index79 = _interopRequireDefault(require("./category/index.js"));

exports.Category = _index79.default;

var _index80 = _interopRequireDefault(require("./pay-cashier-wsc/index.js"));

exports.PayCashierWsc = _index80.default;

var _index81 = _interopRequireDefault(require("./mobile-auth/index.js"));

exports.MobileAuth = _index81.default;

var _index82 = _interopRequireDefault(require("./mobile-supply/index.js"));

exports.MobileSupply = _index82.default;

var _index83 = _interopRequireDefault(require("./cert-id-ocr/index.js"));

exports.CertIdOcr = _index83.default;

var _index84 = _interopRequireDefault(require("./cert-steps/index.js"));

exports.CertSteps = _index84.default;

var _index85 = _interopRequireDefault(require("./cert-notice/index.js"));

exports.CertNotice = _index85.default;

var _index86 = _interopRequireDefault(require("./cert-bank-view/index.js"));

exports.CertBankView = _index86.default;

var _index87 = _interopRequireDefault(require("./cert-recognition/index.js"));

exports.CertRecognition = _index87.default;

var _index88 = _interopRequireDefault(require("./cert-image-uploader/index.js"));

exports.CertImageUploader = _index88.default;
var components = [_index.default, _index3.default, _index4.default, _index5.default, _index6.default, _index7.default, _index8.default, _index10.default, _index11.default, _index12.default, _index13.default, _index14.default, _index15.default, _index16.default, _index17.default, _index18.default, _index19.default, _index20.default, _index21.default, _index22.default, _index23.default, _index24.default, _index25.default, _index26.default, _index27.default, _index28.default, _index29.default, _index30.default, _index31.default, _index32.default, _index33.default, _index34.default, _index35.default, _index36.default, _index37.default, _index38.default, _index39.default, _index40.default, _index41.default, _index42.default, _index43.default, _index44.default, _index45.default, _index46.default, _index47.default, _index48.default, _index49.default, _index50.default, _index51.default, _index52.default, _index53.default, _index54.default, _index55.default, _index56.default, _index57.default, _index58.default, _index59.default, _index60.default, _index61.default, _index62.default, _index63.default, _index65.default, _index66.default, _index67.default, _index68.default, _index69.default, _index70.default, _index71.default, _index72.default, _index73.default, _index74.default, _index75.default, _index76.default, _index77.default, _index78.default, _index79.default, _index80.default, _index81.default, _index82.default, _index83.default, _index84.default, _index85.default, _index86.default, _index87.default, _index88.default];

var install = function install(Vue) {
  if (install.installed) return;
  components.forEach(function (component) {
    component && component.name && Vue.component(component.name, component);
  });
}; // auto install


exports.install = install;

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

var version = '2.0.5';
exports.version = version;
var _default = {
  install: install,
  version: version
};
exports.default = _default;