"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/cell/style");

var _cell = _interopRequireDefault(require("vant/es/cell"));

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell', {
      staticClass: "cap-login__form-item",
      attrs: {
        "is-link": _vm.isLink
      },
      on: {
        "click": _vm.onItemClick
      }
    }, [_c('template', {
      slot: "title"
    }, [_c('span', {
      staticClass: "van-cell__text",
      domProps: {
        "textContent": _vm._s(_vm.title)
      }
    })]), _c('div', {
      staticClass: "cap-login__inputer"
    }, [_vm._t("default")], 2)], 2);
  },
  components: {
    'van-cell': _cell.default
  },
  props: {
    title: String,
    isLink: Boolean
  },
  methods: {
    onItemClick: function onItemClick(e) {
      this.$emit('click', e);
    }
  }
};
exports.default = _default;