"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _url = _interopRequireDefault(require("../../../common/url"));

var _default = {
  EXTEND_RECEIVE: {
    CHECK_EXTEND_URL: _url.default.wap + "/trade/order/isAllowLaterReceiveTime.json",
    DO_EXTEND_URL: _url.default.wap + "/trade/order/laterReceiveTime.json"
  },
  CONFIRM_RECEIVE: {
    CONFIRM_URL: _url.default.wap + "/trade/order/confirmReceive.json"
  },
  REMIND_SEND: {
    REMIND_SEND_URL: _url.default.h5 + "/wsctrade/order/remindExpress.json"
  },
  CANCEL_ORDER: {
    CANCEL_URL: _url.default.h5 + "/wsctrade/order/cancelOrder.json"
  },
  BUY_AGAIN: {
    BUY_AGAIN_URL: _url.default.h5 + "/wsctrade/order/buyAgain.json",
    CART_URL: _url.default.h5 + "/wsctrade/cart"
  },
  STATUS_MAP: {
    TIME_NOT_ENOUGH: 10030,
    ALREADY_EXTENDED: 10031
  }
};
exports.default = _default;