"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/cell/style");

var _cell = _interopRequireDefault(require("vant/es/cell"));

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _components;

var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('van-cell', {
      staticClass: "cap-order-goods-header",
      attrs: {
        "border": false
      }
    }, [_c('van-icon', {
      attrs: {
        "name": _vm.icon
      }
    }), _c('a', {
      attrs: {
        "href": _vm.link
      }
    }, [_vm._v(_vm._s(_vm.title))]), _vm.badge ? _c('img', {
      attrs: {
        "src": _vm.badge
      }
    }) : _vm._e()], 1);
  },
  name: 'cap-order-goods-header',
  components: (_components = {}, _components[_icon.default.name] = _icon.default, _components[_cell.default.name] = _cell.default, _components),
  props: {
    title: String,
    icon: String,
    link: String,
    badge: String
  }
};
exports.default = _default;