"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

require("vant/es/icon/style");

var _icon = _interopRequireDefault(require("vant/es/icon"));

var _memberItem = _interopRequireDefault(require("./member-item"));

var _constants = require("./constants");

var _default2 = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', [_c('div', {
      staticClass: "paid-member-container"
    }, [_vm.showTitle ? _c('div', {
      staticClass: "paid-member__header"
    }, [_vm.showTitleAll ? _c('a', {
      staticClass: "paid-member__view-all",
      attrs: {
        "href": _vm.showTitleAllLink
      }
    }, [_vm._v("\n        全部"), _c('van-icon', {
      attrs: {
        "name": "arrow"
      }
    })], 1) : _vm._e(), _c('h3', {
      staticClass: "paid-member__title"
    }, [_vm._v(_vm._s(_vm.title))])]) : _vm._e(), _vm.memberList.length ? _c('div', {
      staticClass: "paid-member__list"
    }, _vm._l(_vm.memberList, function (member) {
      return _c('member-item', {
        key: member.id,
        attrs: {
          "kdt-id": _vm.kdtId,
          "base-url": _vm.baseUrl,
          "title": member.title,
          "alias": member.alias,
          "cover": member.cover,
          "summary": member.summary,
          "contents-count": member.contentCount,
          "price": member.price,
          "is-free": member.is_free,
          "column-title": member.column_title,
          "subscriptions-count": member.subscriptions_count,
          "has-buy": member.isBought == 1
        }
      });
    }), 1) : _c('div', {
      staticClass: "paid-member__no-data-page"
    }, [_c('p', [_vm._v("还没有相关内容哦")])])])]);
  },
  name: 'cap-paid-member',
  components: {
    MemberItem: _memberItem.default,
    'van-icon': _icon.default
  },
  props: {
    baseUrl: {
      type: String,
      default: _constants.BASE_URL
    },
    kdtId: {
      type: [String, Number],
      default: ''
    },
    showTitle: Boolean,
    showTitleAll: Boolean,
    title: {
      type: String,
      default: ''
    },
    memberList: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  computed: {
    showTitleAllLink: function showTitleAllLink() {
      if (!this.kdtId) return 'javascript:;';
      return this.baseUrl + "/ump/paidcontent/index?kdt_id=" + this.kdtId + "&page=allmembers";
    }
  }
};
exports.default = _default2;