<script>
export default {
  data() {
    return {
      links: [
        {
          "linkTitle": "小芳测试拼团活动",
          "linkUrl": "https://h5.youzan.com/v2/goods/3eqgpjveakdw2"
        },
        {
          "linkTitle": "小芳测试商品限购5件",
          "linkUrl": "https://h5.youzan.com/v2/goods/2754r1y0yit42"
        },
        {
          "linkTitle": "奇奇留言测试",
          "linkUrl": "https://h5.youzan.com/v2/goods/2oix6mxhyjnvm"
        }
      ]
    };
  }
};
</script>

## RelatedLink 关联链接

### 使用指南
#### 使用 [babel-plugin-import](https://github.com/ant-design/babel-plugin-import) (推荐)
```javascript
import { RelatedLink } from 'captain-ui';
```

### 代码演示

:::demo 关联链接
```html
<cap-related-link :links="links">
</cap-related-link>
```
:::

### API

| 参数       | 说明      | 类型       | 默认值       | 可选值       |
|-----------|-----------|-----------|-------------|-------------|
| links | 关联链接数组 | `Array`  |  |  |

#### links 数据结构
```javascript
[
  {
    // 标题
    "linkTitle": "xxxxxx",
    // 链接
    "linkUrl": "https://youzan.com"
  },
  ...
]
```
