"use strict";

exports.__esModule = true;
exports.IMAGE_STYLE = exports.ACTIVITY_STATUS_MAP = exports.ACTIVITY_STATUS = exports.DISCOUNT_TYPE = exports.SIZE = exports.SIZE_MAP = void 0;
var SIZE_MAP = {
  0: 'big',
  1: 'small',
  2: 'list'
};
/**
 * 图片样式
 * @enum {number}
 */

exports.SIZE_MAP = SIZE_MAP;
var SIZE = {
  big: 0,
  small: 1,
  list: 2
};
/**
 * 显示折扣优惠类型
 * @enum {number}
 */

exports.SIZE = SIZE;
var DISCOUNT_TYPE = {
  discount: 2,
  amount: 3
};
/**
 * 活动状态
 * @enum {number}
 */

exports.DISCOUNT_TYPE = DISCOUNT_TYPE;
var ACTIVITY_STATUS = {
  notStart: 0,
  start: 1,
  end: 2
};
exports.ACTIVITY_STATUS = ACTIVITY_STATUS;
var ACTIVITY_STATUS_MAP = {
  0: 'notStart',
  1: 'start',
  2: 'end'
};
exports.ACTIVITY_STATUS_MAP = ACTIVITY_STATUS_MAP;
var IMAGE_STYLE = {
  cover: 1,
  contain: 2
};
exports.IMAGE_STYLE = IMAGE_STYLE;